Unit tzp33e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ZP33E_p;

function tzp33e: String;

implementation

function tzp33e: String;
var
NP,M,_i,K :Integer;
B :Array [0..5] of Extended;
const
A :Array [0..4] of Extended = ( 24.0e0,-50.0e0,35.0e0,-10.0e0,1.0e0 );
begin
Result := '';  {   }
NP := 4;
M := 6;
ZP33E(NP,A,M,B,K);
Result := Result + Format('%10d ',[NP]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[A[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format(' %10d %10d ',[M,K]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 5 do
 begin
  Result := Result + Format('%20.16f ',[B[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tzp33e',Result);  {     tzp33e.res }
exit;
end;

end.
